Returns the offset in the complete result set

- « SolrQuery::getSortFields

- SolrQuery::getStats »

- PHP Manual
- SolrQuery
- Returns the offset in the complete result set

# SolrQuery::getStart

(PECL solr >= 0.9.2)

SolrQuery::getStart — Returns the offset in the complete result set

### Description

public SolrQuery::getStart(): int

Returns the offset in the complete result set for the queries where the set of returned documents should begin.

### Parameters

This function has no parameters.

### Return Values

Returns an integer on success and `null` if not set.